--Order 20011527.370

ALTER TABLE REASONCODE ADD (
				RESIDENTIALREASON VARCHAR2(1) DEFAULT 'N' NOT NULL 
					CONSTRAINT YN_VALIDATIONFIELD90 CHECK (RESIDENTIALREASON IN ('Y','N'))
			);

INSERT INTO REASONCODEDIALOGS
  (REASONCODE_ID, DIALOG_ID, SELECTABLE, SYSTEMUSER_ID, TIMESTAMP)
  SELECT R.REASONCODE_ID,
         D.DIALOG_ID,
         'Y',
         GETMINSYSTEMUSER(),
         GETCURRENTDATETIME()
    FROM REASONCODE R,
         DIALOGS    D WHERE D.CODE IN ('Client');

COMMIT;
